{# 
/**
 * Long free text question, with data
 */
#}
<div  class="ls-answers answer-item static-item matchDataControl-item matchDataControl-matchdata">
    <strong class="matchDataControl-state-matched">
    {% if state == 'completed' %}
        {{ attribute(lang, 'Related data are completed') }}
    {% else %}
        {{ attribute(lang, 'Related data are not completed') }}
    {% endif %}
    </strong>
    <table class="table table-bordered">
        <thead>
            <tr>
                <td></td>
                <th>{{ processString("{" ~ matchQuestion1 ~ ".question}", 1) }}</th>
                <th>{{ processString("{" ~ matchQuestion2 ~ ".shown}", 1) }}</th>
            </tr>
        </thead>
        <tbody>
            {% for match in aMatched %}
            {% set state = '' %}
            {% if (match.current == match.value) %}
                {% set state = 'success' %}
            {% else %}
                {% set state = 'warning' %}
            {% endif %}
            <tr class="{{ state }}">
                <td>{{ processString("{" ~ match.code ~ ".question}", 1) }}</td>
                <th>{{ match.current }}</th>
                <th>{{ match.value }}</th>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    {{ C.Html.hiddenField(name,json_encode(match),({
            'id' : "answer"~name,
            'disabled' : true,
    })) }}
</div>
